
/************************************************************************\
*  Authors: 	Luisa D'Amore - University of Naples, Federico II	*
*		Rosanna Campagna - University of Naples, Federico II	*
*		Valeria Mele - University of Naples, Federico II	*
*		Almerico Murli - SPACI - NAPLES                   	*
* 		Mariarosaria Rizzardi - University of Naples Parthenope	*
\************************************************************************/


#ifndef UTIL_H 
	#define UTIL_H 
#endif
	#include "ReLaTIve.h"
	#include <sys/time.h>
	
	#include <gsl/gsl_errno.h>
	#include "gsl/gsl_math.h"
	#include "gsl/gsl_sf_pow_int.h"
	#include "gsl/gsl_sf_dawson.h"
	#include "gsl/gsl_sf_bessel.h"
	#include "gsl/gsl_sf_expint.h"
	#include "gsl/gsl_sf_gamma.h"
	#include "gsl/gsl_sf_erf.h"
	#include "gsl/gsl_integration.h"
	#include <gsl/gsl_roots.h>
	
	
	/*AUXILIAR ROUTINES*/

	double Laguerre(int , double );

	double Hermite(int , double );

        /*Routine to write the Error Estimate Diagnostic in output files*/
	void print_flags_file(FILE *);
	
	/*Routine to write the role of Ncalc and Nopt in output files*/
	void print_N_file(FILE *, int );
	

